Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
circular upgrade-downgrade behavior with kdelibs and arts
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC
View previous topic :: View next topic  
Author Message
fb
l33t
l33t


Joined: 08 Dec 2003
Posts: 631
Location: New Zealand

PostPosted: Fri Dec 09, 2005 2:42 am    Post subject: circular upgrade-downgrade behavior with kdelibs and arts Reply with quote

Hi all,

arts and kdelibs 3.4.3 have been marked stable on ppc but not the other
kde packages. So after upgrading them to 3.4.3 emerge wants to downgrade
them to 3.4.1 again. Same kind of problems happens with koffice, some parts
are marked 1.4.2 stable and other are still in 1.4.1. This make life difficult
for people who decided to go with the split ebuilds.

When will the other ebuilds be marked stable to match up the one that
already are? Do we need to do more testing?

Francois
Back to top
View user's profile Send private message
JoseJX
Developer
Developer


Joined: 28 Apr 2002
Posts: 2774

PostPosted: Fri Dec 09, 2005 3:06 am    Post subject: Reply with quote

Are you talking about the meta builds or the regular ones?

The regular ones should all already be stable, the meta ones aren't marked yet at all (it takes a little while to make sure you don't break the tree with a 300 package commit. :p)
_________________
Gentoo PPC FAQ: http://www.gentoo.org/doc/en/gentoo-ppc-faq.xml
Back to top
View user's profile Send private message
fb
l33t
l33t


Joined: 08 Dec 2003
Posts: 631
Location: New Zealand

PostPosted: Fri Dec 09, 2005 3:17 am    Post subject: Reply with quote

I am using the split ebuilds not the meta ones. konqueror-3.4.3 is not
available yet for me for example.
I have synced this morning (New Zealand time about 7 hours ago)
for the last time and only kdelibs and arts were 3.4.3 and they were
the only ones 48h ago as well when I saw them for the first time.

I know it takes time, I just assumed that the shift was started because
it was thought to be stable.
Back to top
View user's profile Send private message
JoseJX
Developer
Developer


Joined: 28 Apr 2002
Posts: 2774

PostPosted: Fri Dec 09, 2005 9:16 am    Post subject: Reply with quote

The meta packages should be marked stable now, I'm working on the other assorted kde packages now.
_________________
Gentoo PPC FAQ: http://www.gentoo.org/doc/en/gentoo-ppc-faq.xml
Back to top
View user's profile Send private message
JoseJX
Developer
Developer


Joined: 28 Apr 2002
Posts: 2774

PostPosted: Fri Dec 09, 2005 10:25 am    Post subject: Reply with quote

kde 3.4.3 and kde-meta 3.4.3 should both be stable now. I'll work on marking 3.5 ~ppc soon.
_________________
Gentoo PPC FAQ: http://www.gentoo.org/doc/en/gentoo-ppc-faq.xml
Back to top
View user's profile Send private message
fb
l33t
l33t


Joined: 08 Dec 2003
Posts: 631
Location: New Zealand

PostPosted: Sat Dec 10, 2005 6:14 am    Post subject: Reply with quote

OK I will try on Monday (well Sunday for you I guess).

Cheers,
Francois
Back to top
View user's profile Send private message
JoseJX
Developer
Developer


Joined: 28 Apr 2002
Posts: 2774

PostPosted: Thu Dec 15, 2005 3:58 am    Post subject: Reply with quote

I marked kde 3.5 ~ppc as well, you shouldn't have any further problems with it, but if you do, please let us know.
_________________
Gentoo PPC FAQ: http://www.gentoo.org/doc/en/gentoo-ppc-faq.xml
Back to top
View user's profile Send private message
fb
l33t
l33t


Joined: 08 Dec 2003
Posts: 631
Location: New Zealand

PostPosted: Thu Dec 15, 2005 5:05 am    Post subject: Reply with quote

OK I will tell you tomorrow morning when I am back at work
and I sync again. There was still stuff missing this morning (9hours ago)
for a split ebuild.
I will keep you posted.

I don't think I will be able to have a shot at 3.5 before the break,
it will have to wait January at least.

Cheers,
Francois
Back to top
View user's profile Send private message
fb
l33t
l33t


Joined: 08 Dec 2003
Posts: 631
Location: New Zealand

PostPosted: Thu Dec 15, 2005 8:57 pm    Post subject: Reply with quote

OK, I synced 1 hour ago. The split ebuild are still not all here.
"emerge -puDv world" still want to downgrade kdelibs and
arts to 3.4.1 .
I also get the following:
Code:
emerge -p kcminit kdebugdialog artsplugin-audiofile ksystraycmd kstart kmenuedit kdcop kdeartwork-sounds kdeartwork-wallpapers libkmime kuickshow kmathtool mpeglib kdeaddons-docs-konq-plugins artsplugin-mpg123 kdemultimedia-arts kreadconfig kdesu libkdenetwork renamedlg-images renamedlg-audio kdeartwork-icewm-themes artsplugin-xine ksmserver kdialog kcharselect libkpgp eyesapplet secpolicy kdeaddons-kfile-plugins kdeartwork-emoticons libksieve

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[ebuild   R   ] kde-base/kcminit-3.4.1
[ebuild   R   ] kde-base/kdebugdialog-3.4.1
[ebuild   R   ] kde-base/artsplugin-audiofile-3.4.1
[ebuild   R   ] kde-base/ksystraycmd-3.4.1
[ebuild   R   ] kde-base/kstart-3.4.1
[ebuild   R   ] kde-base/kmenuedit-3.4.1
[ebuild   R   ] kde-base/kdcop-3.4.1
[ebuild   R   ] kde-base/kdeartwork-sounds-3.4.1
[ebuild   R   ] kde-base/kdeartwork-wallpapers-3.4.1
[ebuild   R   ] kde-base/libkmime-3.4.1
[ebuild   R   ] kde-base/kuickshow-3.4.1
[ebuild     UD] kde-base/arts-3.4.1-r2 [3.4.3]
[ebuild     UD] kde-base/kdelibs-3.4.1-r1 [3.4.3]
[ebuild   R   ] kde-base/kmathtool-3.4.1
[ebuild   R   ] kde-base/mpeglib-3.4.1
[ebuild   R   ] kde-base/kdeaddons-docs-konq-plugins-3.4.1
[ebuild   R   ] kde-base/artsplugin-mpg123-3.4.1
[ebuild   R   ] kde-base/kdemultimedia-arts-3.4.1
[ebuild   R   ] kde-base/kreadconfig-3.4.1
[ebuild   R   ] kde-base/kdesu-3.4.1
[ebuild   R   ] kde-base/libkdenetwork-3.4.1
[ebuild   R   ] kde-base/renamedlg-images-3.4.1
[ebuild   R   ] kde-base/renamedlg-audio-3.4.1
[ebuild   R   ] kde-base/kdeartwork-icewm-themes-3.4.1
[ebuild   R   ] kde-base/artsplugin-xine-3.4.1
[ebuild   R   ] kde-base/ksmserver-3.4.1
[ebuild   R   ] kde-base/kdialog-3.4.1
[ebuild   R   ] kde-base/kcharselect-3.4.1
[ebuild   R   ] kde-base/libkpgp-3.4.1
[ebuild   R   ] kde-base/eyesapplet-3.4.1
[ebuild   R   ] kde-base/secpolicy-3.4.1
[ebuild   R   ] kde-base/kdeaddons-kfile-plugins-3.4.1
[ebuild   R   ] kde-base/kdeartwork-emoticons-3.4.1
[ebuild   R   ] kde-base/libksieve-3.4.1

I found those by doing "equery h arts" and I manually merged all the
ones that were marked 3.4.3 (or in some case 3.4.2). Those are the ones
that are left. There may be other that I didn't spot. "equery d kdelibs"
doesn't return many files (and "equery d arts" is not very helpfull either).

Cheers,
Francois
Back to top
View user's profile Send private message
JoseJX
Developer
Developer


Joined: 28 Apr 2002
Posts: 2774

PostPosted: Thu Dec 15, 2005 9:33 pm    Post subject: Reply with quote

Unfortunately, that's not that helpful. Most of those haven't been updated since 3.4.1 and have no effect on the kdelib version. Instead, please provide the programs that are pulling in 3.4.1 by doing an emerge with the tree option (-t).
_________________
Gentoo PPC FAQ: http://www.gentoo.org/doc/en/gentoo-ppc-faq.xml
Back to top
View user's profile Send private message
fb
l33t
l33t


Joined: 08 Dec 2003
Posts: 631
Location: New Zealand

PostPosted: Thu Dec 15, 2005 9:50 pm    Post subject: Reply with quote

JoseJX wrote:
Unfortunately, that's not that helpful. Most of those haven't been updated since 3.4.1 and have no effect on the kdelib version. Instead, please provide the programs that are pulling in 3.4.1 by doing an emerge with the tree option (-t).


Thanks. That was a good tip.
The package that wants to pull kdelibs and arts version 3.4.1 is
"kde-base/kmathtool". If I remove it from the list of package I
posted earlier arts and kdelibs are not downgraded anymore and
it is the only other package appearing when I do "emerge -tuDv world".

Hope that is useful.

Cheers,
Francois
Back to top
View user's profile Send private message
JoseJX
Developer
Developer


Joined: 28 Apr 2002
Posts: 2774

PostPosted: Thu Dec 15, 2005 10:12 pm    Post subject: Reply with quote

Okay, kmathtool is going to be removed, there's nothing I can do about that.

http://bugs.gentoo.org/show_bug.cgi?id=109318
_________________
Gentoo PPC FAQ: http://www.gentoo.org/doc/en/gentoo-ppc-faq.xml
Back to top
View user's profile Send private message
fb
l33t
l33t


Joined: 08 Dec 2003
Posts: 631
Location: New Zealand

PostPosted: Thu Dec 15, 2005 10:27 pm    Post subject: Reply with quote

Had a look at the prog in question. It is not useful to me
anyway. I wonder why I had it in the first place. Nothing
seems to depend on it so I can remove it safely.
Funilly enough I reproduced the bug from kde bugzilla,
I probably should log in there and mention it before I remove
it from my system.

Thanks,
Francois
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum